# GET /messaging/v1/securityHeaders/all

## Overview

Get the list of all available security headers with their default values.

## Usage

### Example Request

```bash
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /messaging/v1/securityHeaders/all
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```json
HTTP/1.1 200
{
  "data": [
    {
      "value": "no-cache, must-revalidate, max-age=0, no-store, private",
      "id": 6,
      "name": "Cache-Control"
    },
    {
      "value": "default-src 'self'; frame-ancestors 'self'",
      "id": 1,
      "name": "Content-Security-Policy"
    },
    {
      "value": "geolocation=(self), microphone=()",
      "id": 8,
      "name": "Permissions-Policy"
    },
    {
      "value": "origin-when-cross-origin",
      "id": 4,
      "name": "Referrer-Policy"
    },
    {
      "value": "strict",
      "id": 9,
      "name": "Set-Cookie"
    },
    {
      "value": "max-age=31536000; includeSubDomains",
      "id": 5,
      "name": "Strict-Transport-Security"
    },
    {
      "value": "nosniff",
      "id": 3,
      "name": "X-Content-Type-Options"
    },
    {
      "value": "SAMEORIGIN",
      "id": 2,
      "name": "X-Frame-Options"
    },
    {
      "value": "1; mode=block",
      "id": 7,
      "name": "X-XSS-Protection"
    }
  ],
  "requestId": "f8d089f9-604b-42d0-a6da-1f92ad081b4d"
}
```

## Related Items

- [HTTP Security Headers Overview](/docs/marketing/marketing-cloud/references/mc_rest_security/securityHeaders-overview.md)
- [Get HTTP Security Headers](/docs/marketing/marketing-cloud/references/mc_rest_security/securityHeaders-read.md)
- [Update HTTP Security Headers](/docs/marketing/marketing-cloud/references/mc_rest_security/securityHeaders-update.md)
- [Delete HTTP Security Headers](/docs/marketing/marketing-cloud/references/mc_rest_security/securityHeaders-delete.md)
